gfx = love.graphics
wdw = love.window
kbd = love.keyboard


function love.load()

	l_posy = 1.0
	l_posx = 0.0
	l_posz = 2.0
	phase = 0
	image = gfx.newImage("diffuse.png")
	
	
	
	nmap = gfx.newImage("normalmap.png")
	shader_code = [[
	extern Image normal_map;
	extern float l_posx;
	extern float l_posy;
	extern float l_posz;
	
	vec4 effect(vec4 colour, Image tex, vec2 tc, vec2 pixCoord)
	{
		vec4 norm_txl = Texel(normal_map,tc);
		vec3 normal = normalize(norm_txl.rgb*2.0-1.0);
		vec3 light_pos = normalize(vec3(l_posx,l_posy,l_posz));
		float diffuse = max(dot(normal, light_pos), 0.0); 
		vec4 result = Texel(tex,tc);
	
		if (tc.x < 0.5)
		{
			diffuse = 1.0;
		}
	
		return result*diffuse;		
	}
	]]
	
	lt_shader = [[
	extern vec3
	
	
	
	]]
	
	shader = gfx.newShader(shader_code)
	
	shader:send("normal_map",nmap)

end

function love.update(dt)
	if love.keyboard.isDown("left") then
		l_posx = l_posx - 0.1
	end
	if love.keyboard.isDown("right") then
		l_posx = l_posx + 0.1
	end
	if love.keyboard.isDown("up") then
		l_posy = l_posy + 0.1
	end
	if love.keyboard.isDown("down") then
		l_posy = l_posy - 0.1
	end
	if love.keyboard.isDown("pageup") then
		l_posz = l_posz - 0.1
	end
	if love.keyboard.isDown("pagedown") then
		l_posz = l_posz + 0.1
	end
	phase = phase + 0.1
	shader:send("l_posx",l_posx)
	shader:send("l_posy",l_posy)
	shader:send("l_posz",l_posz)
	
	
	
end

function love.mousepressed(x,y,button)
	
end

function love.draw()
	gfx.setShader(shader)
	gfx.draw(image,0,0)
	gfx.setShader()

	
end

